cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Community Tip - Did you know you can set a signature that will be added to all your posts? Set it here! X

How to hide part model in creo protoolkit

maheshj
1-Newbie

How to hide part model in creo protoolkit

HI All, I am writing Creo Api for hiding part in c++ manage.


Following is code


int id1;
ProMdlType modelType;
ProMdl proModel;
proModel = *mProSolid;

mStatus = ProMdlIdGet(proModel, &id1);

ProMdlTypeGet(proModel,&modelType);

mStatus = ProModelitemInit (proModel, id1, PRO_PART , &ref_item);

mStatus = ProModelitemHide(&ref_item)


everything work fine till ProModelitemHide function call. After this i got error PRO_TK_INVALID_TYPE means the item is not permitted to be hidden.


So how to get this permission and hide this part ?


where i am wrong ?


suggest me if any other way to do so.


Thanks in adavance


This thread is inactive and closed by the PTC Community Management Team. If you would like to provide a reply and re-open this thread, please notify the moderator and reference the thread. You may also use "Start a topic" button to ask a new question. Please be sure to include what version of the PTC product you are using so another community member knowledgeable about your version may be able to assist.
1 REPLY 1

You should do it this way:


- get component feature (!) - that's the component in Pro/E


- cast the compoent feature to a modelitem:


-

Top Tags